Page MenuHomePhabricator

Remove OtherProjectsSidebar hook from Wikibase
Closed, ResolvedPublic

Description

Wikibase have now a hook named WikibaseClientSiteLinksForItem that have been introduced to solve T128173
This hook should cover all the usecases of the WikibaseClientSiteLinksForItem while allowing to edit the inter language links sidebar.

The OtherProjectsSidebar hook is currently only used by the WikimediaBadges extension.
This usage might be moved to WikibaseClientSiteLinksForItem and OtherProjectsSidebar removed from Wikibase.

Event Timeline

Tpt created this task.Jun 28 2020, 2:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 28 2020, 2:53 PM

Change 608217 had a related patch set uploaded (by Tpt; owner: Tpt):
[mediawiki/extensions/WikimediaBadges@master] Uses WikibaseClientSiteLinksForItem hook instead of OtherProjectsSidebar

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikimediaBadges/ /608217

Change 608219 had a related patch set uploaded (by Tpt; owner: Tpt):
[mediawiki/extensions/Wikibase@master] Removes OtherProjectsSidebar hook

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/ /608219

Michael added a subscriber: Michael.Jul 1 2020, 5:04 PM

I looked at it a bit and the premise seems sound. That hook was deprecated in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/+/553866, 2 months ago. I don't think that the stable interface policy applies here?

However, I don't have time to do a deep review today. Will do it when I return on 2020-07-09, unless someone else reviews this before then :).

Change 608217 merged by jenkins-bot:
[mediawiki/extensions/WikimediaBadges@master] Uses WikibaseClientSiteLinksForItem hook instead of OtherProjectsSidebar

https://gerrit.wikimedia.org/r/608217

Change 608219 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removes OtherProjectsSidebar hook

https://gerrit.wikimedia.org/r/608219

Tpt closed this task as Resolved.Jul 13 2020, 4:31 PM
Tpt claimed this task.